Subject: Re: [MPC7448] machdep_calls

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 19 Aug 2008 07:39:36 +1000

On Mon, 2008-08-18 at 16:17 +0200, Sébastien Chrétien wrote:
> The mpc7448hpc2 uses a tsi108-bridge. My board uses an IP on a FPGA..
> I read the code of mpc7448_hpc2.c.
> It uses a ioremap in order to iniatilize the tsi108 registers. But I
> have already initialized MMU with my registers in HEAD_32.S. Do I need
> to use ioremap in setup_arch() ?

Why did you hack head_32.S ? You shouldn't do that... This is common
code, not platform code.

Ben.
> 
> 
> 
> 2008/8/18, Michael Ellerman <[email-masked]>:
>         On Mon, 2008-08-18 at 13:35 +0200, Sébastien Chrétien wrote:
>         > Can somebody explain me the aim of the
>         function  "setup_arch" in the
>         > machine_call structure ?
>         
>         
>         Is this MPC7448 anything like an mpc7448hpc2 ?
>         
>         If so maybe you should start by looking at the code for it in:
>         
>         arch/powerpc/platforms/embedded6xx/mpc7448_hpc2.c
>         
>         Even if it's not related, that will give you some idea of what
>         the
>         callbacks are for.
>         
>         cheers
>         
>         --
>         Michael Ellerman
>         OzLabs, IBM Australia Development Lab
>         
>         wwweb: http://michael.ellerman.id.au
>         phone: +61 2 6212 1183 (tie line 70 21183)
>         
>         We do not inherit the earth from our ancestors,
>         we borrow it from our children. - S.M.A.R.T Person
>         
>